Delete multiple Credit Applications
curl --request DELETE \
--url https://commerce.driv.ly/api/creditApplications \
--header 'Authorization: <api-key>'import requests
url = "https://commerce.driv.ly/api/creditApplications"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://commerce.driv.ly/api/creditApplications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"errors": [
"<string>"
],
"docs": [
{
"updatedAt": "<string>",
"createdAt": "<string>",
"title": "<string>",
"sendToTSG": true,
"meta": {},
"sentToCustomer": true,
"rates": [
{
"term": "<string>",
"apr": "<string>",
"monthlyPayment": 123,
"requiredDownPayment": 123,
"activationLink": "<string>",
"id": "<string>"
}
],
"passesChecklist": true,
"requiredFields": [],
"missingFields": {},
"requestId": "<string>",
"logs": [
{
"timestamp": "<string>",
"message": "<string>",
"debug": {},
"id": "<string>"
}
],
"autopayNumber": "<string>",
"applicationLink": "<string>",
"preApproval": 123,
"financeAmount": 123,
"downPayment": 123,
"primaryApplicant": {
"consumer": 123,
"firstName": "<string>",
"lastName": "<string>",
"birthDate": "<string>",
"emailAddress": "<string>",
"cellPhone": "<string>",
"ssn": "<string>",
"currentResidence": {
"monthlyPaymentAmount": 123,
"monthsAtResidence": 123,
"address": {
"lineOne": "<string>",
"lineTwo": "<string>",
"city": "<string>",
"postalCode": "<string>"
}
},
"currentEmployment": {
"yearlyIncomeAmount": 123,
"monthsAtEmployer": 123,
"employerName": "<string>",
"employmentPosition": "<string>",
"employmentAddress": {
"lineOne": "<string>",
"lineTwo": "<string>",
"city": "<string>",
"postalCode": "<string>"
}
},
"previousResidence": {
"monthlyPaymentAmount": 123,
"monthsAtResidence": 123,
"address": {
"lineOne": "<string>",
"lineTwo": "<string>",
"city": "<string>",
"postalCode": "<string>"
}
},
"previousEmployment": {
"yearlyIncomeAmount": 123,
"monthsAtEmployer": 123,
"employerName": "<string>",
"employmentPosition": "<string>",
"employmentAddress": {
"lineOne": "<string>",
"lineTwo": "<string>",
"city": "<string>",
"postalCode": "<string>"
}
},
"additionalIncomeAmount": 123,
"additionalIncomeSource": "<string>",
"terms": {
"agreeToTerms": true,
"agreeIP": "<string>",
"agreeUserAgent": "<string>"
}
},
"hasCoApplicant": true,
"coApplicant": {
"consumer": 123,
"firstName": "<string>",
"lastName": "<string>",
"birthDate": "<string>",
"emailAddress": "<string>",
"cellPhone": "<string>",
"ssn": "<string>",
"currentResidence": {
"monthlyPaymentAmount": 123,
"monthsAtResidence": 123,
"address": {
"lineOne": "<string>",
"lineTwo": "<string>",
"city": "<string>",
"postalCode": "<string>"
}
},
"currentEmployment": {
"yearlyIncomeAmount": 123,
"monthsAtEmployer": 123,
"employerName": "<string>",
"employmentPosition": "<string>",
"employmentAddress": {
"lineOne": "<string>",
"lineTwo": "<string>",
"city": "<string>",
"postalCode": "<string>"
}
},
"previousResidence": {
"monthlyPaymentAmount": 123,
"monthsAtResidence": 123,
"address": {
"lineOne": "<string>",
"lineTwo": "<string>",
"city": "<string>",
"postalCode": "<string>"
}
},
"previousEmployment": {
"yearlyIncomeAmount": 123,
"monthsAtEmployer": 123,
"employerName": "<string>",
"employmentPosition": "<string>",
"employmentAddress": {
"lineOne": "<string>",
"lineTwo": "<string>",
"city": "<string>",
"postalCode": "<string>"
}
},
"additionalIncomeAmount": 123,
"additionalIncomeSource": "<string>",
"terms": {
"agreeToTerms": true,
"agreeIP": "<string>",
"agreeUserAgent": "<string>"
}
},
"vehicle": {
"vin": "<string>",
"year": 123,
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"mileage": 123,
"lien": {
"lienHolder": "<string>",
"monthlyPaymentAmount": 123,
"payoffAmount": 123,
"initialTerm": 123,
"remainingTerm": 123,
"originalAmount": 123,
"apr": 123
}
},
"trades": [
123
]
}
]
}Credit Applications
Delete multiple Credit Applications
Delete all Credit Applications matching the where query
DELETE
/
creditApplications
Delete multiple Credit Applications
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { creditApplications } from '@drivly/commerce'
const sdk = new SDK(...)
const creditApplications = await sdk.creditApplications.unknown()
Authorizations
Query Parameters
sort by field
pass a where query to constrain returned documents (complex type, see documentation)
Show child attributes
Show child attributes
Example:
{
"or": [
{ "color": { "equals": "mint" } },
{
"and": [
{ "color": { "equals": "white" } },
{ "featured": { "equals": false } }
]
}
]
}
limit the returned documents to a certain number
get a specific page of documents
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
⌘I